%define name mambo
%define version 4.5
%define release 2mdk
%define webroot /var/www/html

Summary:	Mambo Open Source (CMS)
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	MamboV4.5-Stable-1.0.7.tar.bz2
Patch0:		mambo-4.5-1.0.7-1.0.8.diff.bz2
License:	GPL
URL:		http://www.mamboserver.com/
Group:		System/Servers
Requires:	webserver
Requires:	php-common
Requires:	php-mysql
Requires:	php-gd
Requires:	php-xml
Requires:	mod_php
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
Mambo SiteServer is a dynamic Web content management tool that is capable of
building sites from several pages to several thousand. It comes complete with
10 built-in modules, a WYSIWYG editor, site statistics, an admin interface,
multi language support, custom module support, and more. 

%package	administrator
Summary:	Administrative web interface for Mambo Open Source
Group:		System/Servers
Requires:	%{name} = %{version}-%{release}

%description	administrator
Administrative web interface for Mambo Open Source

%prep

%setup -q -c -n %{name}-%{version}
%patch0 -p1

%build

# clean up CVS stuff
for i in `find . -type d -name CVS` `find . -type f -name .cvs\*` `find . -type f -name .#\*`; do
    if [ -e "$i" ]; then rm -r $i; fi >&/dev/null
done

# fix dir perms
find . -type d | xargs chmod 755

# fix file perms
find . -type f | xargs chmod 644

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{webroot}/%{name}
cp -aRf * %{buildroot}%{webroot}/%{name}/

# this is truly an automatic and easy web installer..., nothing to do here...

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc documentation/*
# if added, the web installer won't work.
#%config(noreplace) %attr(0644,root,root) %{webroot}/%{name}/configuration.php
%exclude %{webroot}/%{name}/administrator
%{webroot}/%{name}

%files administrator
%defattr(-, root, root)
%{webroot}/%{name}/administrator

%changelog
* Wed Jun 23 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.5-2mdk
- added the 1.0.7-1.0.8 diff

* Mon May 10 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.5-1mdk
- initial package
